ReaderException (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing, class: ReaderException

Package com.google.zxing

# Class ReaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.google.zxing.ReaderException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ChecksumException`, `FormatException`, `NotFoundException`

public abstract class ReaderException extends Exception
The general exception class throw when something goes wrong during decoding of a barcode. This includes, but is not limited to, failing checksums / error correction algorithms, being unable to locate finder timing patterns, and so on.

Author:
  Sean Owen
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static boolean`
  `isStackTrace`
  `protected static final StackTraceElement[]`
  `NO_TRACE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Throwable`
  `fillInStackTrace()`
  `static void`
  `setStackTrace(boolean enabled)`
  For testing only.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isStackTrace

    protected static boolean isStackTrace

  - ### NO_TRACE

    protected static final StackTraceElement[] NO_TRACE

- ## Method Details

  - ### fillInStackTrace

    public final Throwable fillInStackTrace()
    Overrides:
      `fillInStackTrace` in class `Throwable`

  - ### setStackTrace

    public static void setStackTrace(boolean enabled)
    For testing only. Controls whether library exception classes include stack traces or not. Defaults to false, unless running in the project's unit testing harness.
    Parameters:
      `enabled` - if true, enables stack traces in library exception classes
    Since:
      3.5.0